/*
 *  options.h
 *
 *  Copyright (C) 2003 Draghicioiu Mihai <misuceldestept@go.ro>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 */

#ifndef __OPTIONS_H__
#define __OPTIONS_H__

#include <stdio.h>

#ifndef OPT_VERSION
#define OPT_VERSION "0.3"
#endif /* OPT_VERSION */

#ifndef OPT_IGNORE_BUFFERS
#define OPT_IGNORE_BUFFERS 1
#endif /* OPT_IGNORE_BUFFERS */

#ifndef OPT_IGNORE_CACHE
#define OPT_IGNORE_CACHE 1
#endif /* OPT_IGNORE_CACHE */

#ifndef OPT_DISPLAY
#define OPT_DISPLAY NULL
#endif /* OPT_DISPLAY */

#ifndef OPT_TIMER_SECONDS
#define OPT_TIMER_SECONDS 0
#endif /* OPT_TIMER_SECONDS */

#ifndef OPT_TIMER_MICROSECONDS
#define OPT_TIMER_MICROSECONDS 100000
#endif /* OPT_TIMER_MICROSECONDS */

extern int opt_ignore_buffers;
extern int opt_ignore_cache;
extern char *opt_display;

void parse_args(void);

#endif /* __OPTIONS_H__ */
